package com.education.workflow.iface;

import org.nustaq.serialization.annotations.Serialize;

import java.util.List;

//提示词优化器
public interface IPromptOptimizer {

    //优化提示词
    List<IContext> optimize(List<IContext> ctx , String prompt);

    //把数组拉平
    IContext flat(List<IContext> ctx);
}
